Quassel IRC - Bug #1432

Quassel client crashes when trying to change Network settings
03/04/2017 12:23 PM - trb143

Status: Resolved Start date: 03/04/2017
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.12.4 0S: Any
Description

File --> Networks --> Configure Networks.

Select a Network and the client crashes.

Related issues:

Related to Quassel IRC - Bug #1409: Crash with no Identity Resolved 05/29/2016
Has duplicate Quassel IRC - Bug #1492: Segfault when selecting a network in g... Resolved 09/11/2018
History

#1 - 09/15/2018 03:54 AM - genius3000

- Related to Bug #1492: Segfault when selecting a network in quasselclient configuration added

#2 - 09/15/2018 03:54 AM - genius3000

- Related to deleted (Bug #1492: Segfault when selecting a network in quasselclient configuration)

#3 - 09/15/2018 03:55 AM - genius3000

- Has duplicate Bug #1492: Segfault when selecting a network in quasselclient configuration added

#4 - 06/16/2021 05:00 AM - phuzion
- Related to Bug #1409: Crash with no Identity added

#5 - 06/16/2021 05:00 AM - phuzion
- Status changed from New to Resolved
This is likely a result of attempting to configure a network that is set up to use an identity that has been deleted from the database.

This issue should no longer happen, because the state where a network can exist pointing to a non-existent identity should no longer be possible
(short of intentional editing of the database).

For more information, please see #1409 on the source bug and its resolution.

Files
Quassel-Crash-20170304-0741.log 4.46 KB 03/04/2017 trb143
Quassel-Crash-20170304-0742.log 6.97 KB 03/04/2017 trb143
